src: |
  SELECT a.a AS oid,
      lpad(a.a::text, 3, '0'::text) AS code,
      a.a::text ||
          CASE
              WHEN a.a = 1 THEN ' jour'::text
              ELSE ' jours'::text
          END AS texte
     FROM generate_series(0, 365) a(a)
  UNION
   SELECT '-8'::integer AS oid,
      chr(1) || '**'::text AS code,
      'Non renseigné'::text AS texte
    ORDER BY 2;